Bug 489678 - PartitionException: Can't have overlapping partitions.
PartitionException: Can't have overlapping partitions.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
StorageRewrite anaconda_trace_hash:ee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-11 07:43 EDT by James Laska
Modified: 2013-09-02 02:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-12 14:17:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (167.35 KB, text/plain)
2009-03-11 07:43 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-03-11 07:43:19 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.27 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.6/site-packages/parted/disk.py", line 164, in addPartition
    constraint.getPedConstraint()):
  File "/usr/lib/anaconda/storage/devices.py", line 731, in addPartition
    constraint=constraint)
  File "/usr/lib/anaconda/storage/devices.py", line 1046, in create
    self.disk.addPartition(self)
  File "/usr/lib/anaconda/storage/deviceaction.py", line 201, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 613, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 181, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
PartitionException: Can't have overlapping partitions.
Comment 1 James Laska 2009-03-11 07:43:24 EDT
Created attachment 334784 [details]
Attached traceback automatically from anaconda.
Comment 2 David Lehman 2009-03-12 14:17:50 EDT
This should be resolved in anaconda-11.5.0.28-1.

Note You need to log in before you can comment on or make changes to this bug.